Loading...
Searching...
No Matches
Signature Type Codes

## Variables

const | DataProvider::ST_Any = 1
const | DataProvider::ST_Field = 3
| The signature type indicates a string field name when used as an argument, and the type is the field type.
const | DataProvider::ST_Value = 2
| Indicates any literal value of the given type; i.e. not an operator or other expression.

## Detailed Description

Since
  DataProvider 2.3

## Variable Documentation

## ST_Any

const DataProvider::ST_Any = 1

Indicates any valid expression that returns the given type (default)

## ST_Field

const DataProvider::ST_Field = 3

The signature type indicates a string field name when used as an argument, and the type is the field type.

In this case the value must always be a string (referring to the field name), and the type is always "any", referring to the fact that the final type reflects the field's type, which can be of any supported type